%define debug_package %{nil}

Summary: Tools for building live CDs
Name: livecd-tools
Version: 031
Release: %mkrel 48
License: GPLv2
Group: System/Base
Buildarch: noarch
URL: http://git.fedoraproject.org/?p=hosted/livecd
Source0: %{name}-%{version}.tar.bz2
Patch100: fix-libdir-in-python.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: python-imgcreate = %{version}-%{release}
Requires: python-rpm python-selinux
Requires: mkisofs
Requires: isomd5sum
Requires: parted
%ifarch %{ix86} x86_64
Requires: syslinux
%endif
%ifarch ppc
Requires: yaboot
%endif
BuildRequires: python
BuildRequires: perl
Patch0: 0001-Disable-iswmd-on-live-images-for-now.patch
Patch10: livecd-tools-031-menu-config.patch
Patch11: livecd-tools-031-dracut.patch
Patch12: livecd-tools-031-not-use-rhpl-python.patch
Patch13: livecd-tools-031-use-urpmi.patch
Patch14: livecd-tools-031-yum-not-needed.patch
Patch15: livecd-tools-031-parted-path.patch 
Patch16: livecd-tools-031-yum-option.patch
Patch17: livecd-tools-031-without-language-config.patch
Patch18: livecd-tools-031-mksquashfs-lzma.patch
Patch19: livecd-tools-031-iso-to-disk-oem.patch
Patch20: livecd-tools-031-post-packages.patch
Patch21: livecd-tools-031-lazy-umount.patch
Patch22: livecd-tools-031-timeout-before-losetup-d.patch
Patch23: livecd-tools-031-xz.patch
Patch24: livecd-tools-031-iso-to-disk-oem-man.patch
# (eugeni) a temporary workaround to allow mixing packages from different repos
Patch25: livecd-tools-031-no-verify.patch
Patch26: livecd-tools-031-urpmi-split-length.patch

#next patch
Patch27: livecd-tools-031-fdisk-unit-cylinder.patch
Patch28: livecd-tools-031-cp-progress-bar.patch
# (eugeni) fix format change in dmsetup output parsing
Patch29: livecd-tools-031-new_dmsetup.patch

%description 
Tools for generating live CDs on Fedora based systems including
derived distributions such as RHEL, CentOS and others. See
http://fedoraproject.org/wiki/FedoraLiveCD for more details.

This package contains the patches required to allow building live images on
Mandriva systems.

%package -n python-imgcreate
Summary: Python modules for building system images
Group: System/Base
Requires: util-linux
Requires: coreutils
Requires: e2fsprogs
#Requires: yum >= 3.2.18
Requires: squashfs-tools
#Requires: python-kickstart >= 0.96
Requires: pykickstart >= 1.77-3
Requires: dosfstools >= 2.11-8
#Requires: system-config-keyboard >= 1.3.0
Requires: python-urlgrabber
Requires: dbus-python
Conflicts: livecd-tools < 0.31

%description -n python-imgcreate
Python modules that can be used for building images for things
like live image or appliances.

%package -n livecd-iso-to-disk
Summary: Script for copy iso to disk

%description -n livecd-iso-to-disk
Convert a live CD iso so that it's bootable off of a USB stick

%prep
%setup -q
#%patch100 -p0
%patch0 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
#%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1 -F 5
# (eugeni) urpmi/rpm are fixed, reenabling transactions
#%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mv %{buildroot}/%{_docdir}/%{name}-%{version}/  %{buildroot}/%{_docdir}/%{name}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README HACKING
%doc config/livecd-fedora-minimal.ks
%{_mandir}/man*/*
%{_bindir}/livecd-creator
%{_bindir}/livecd-iso-to-pxeboot
%{_bindir}/image-creator

%files -n python-imgcreate
%defattr(-,root,root,-)
%doc API
%dir %{py_sitedir}/imgcreate
%{py_sitedir}/imgcreate/*.py
%{py_sitedir}/imgcreate/*.pyo
%{py_sitedir}/imgcreate/*.pyc

%files -n livecd-iso-to-disk
%{_bindir}/livecd-iso-to-disk


%changelog
* Wed Jun 29 2011 Eugeni Dodonov <eugeni@mandriva.com> 031-48mdv2011.0
+ Revision: 688161
- Apply dmsetup patch

* Tue Jun 28 2011 Eugeni Dodonov <eugeni@mandriva.com> 031-47
+ Revision: 687966
- Bump release

* Tue Jun 28 2011 Eugeni Dodonov <eugeni@mandriva.com> 031-46
+ Revision: 687962
- Support new dmsetup output format

* Tue May 03 2011 Antoine Ginies <aginies@mandriva.com> 031-45
+ Revision: 663929
- add missing requires

* Tue Apr 05 2011 Eugeni Dodonov <eugeni@mandriva.com> 031-44
+ Revision: 650706
- Re-enable transactions for package installing.

* Tue Apr 05 2011 Alex Burmashev <burmashev@mandriva.org> 031-43
+ Revision: 650668
- added cp bar\n rebuild on new fdisk
- added cp bar\n rebuild on new fdisk

* Wed Mar 30 2011 Antoine Ginies <aginies@mandriva.com> 031-42
+ Revision: 649222
- add split-length 0 option
- revert, will use a patch instead
- bump release
- add --split-length 0 option until a bug relative to concurrent access rpmdb is fixed

* Tue Mar 01 2011 Alex Burmashev <burmashev@mandriva.org> 031-41
+ Revision: 641163
- Fixed yum requires

* Thu Feb 24 2011 Alex Burmashev <burmashev@mandriva.org> 031-40
+ Revision: 639677
- Removed yum requires

* Mon Feb 14 2011 Thomas Backlund <tmb@mandriva.org> 031-37
+ Revision: 637707
- re-enable lzma and xz support as kernel-2.6.37-3mnb is out

  + Eugeni Dodonov <eugeni@mandriva.com>
    - Disable usage of lzma or xz by default until cooker kernel is able to use them.
    - P23: use xz compression instead of lzma to comply with mksquashfs
      P24: allow mixing packages from different repos

* Mon Jan 31 2011 Eugeni Dodonov <eugeni@mandriva.com> 031-35
+ Revision: 634425
- Improve package description.

* Mon Jan 31 2011 Eugeni Dodonov <eugeni@mandriva.com> 031-34
+ Revision: 634414
- Imported patches from ROSA Lab by Pavel Fokin <pavel.fokin@rosalab.ru>:
- P10: added extra configuration for syslinux menu
- P11: added initramfs generation by the dracut
- P12: drop not used functionality of the python-rhpl package
- P13: added using of the urpmi
- P14: yum not used
- P15: fixed parted path
- P16: add special --yum option to the livecd-creator(urpmi used by default)
- P17: language not configured by the livecd-tools
- P18: added -comp lzma option for making squashfs
- P19: added livecd-iso-to-disk-oem script
- P20: added using of the %%post_packages section in the kickstart
- P21: added lazy unmount option
- P22: added timeout before calling "losetup -d"

* Sun Nov 21 2010 Funda Wang <fwang@mandriva.org> 031-7mdv2011.0
+ Revision: 599402
- fix file list

* Wed Mar 31 2010 Thierry Vignaud <tv@mandriva.org> 031-7mdv2010.1
+ Revision: 530504
- Conflicts: livecd-tools < 0.31

* Wed Mar 31 2010 Thierry Vignaud <tv@mandriva.org> 031-6mdv2010.1
+ Revision: 530496
- Requires s/pykickstart/python-kickstart/

* Tue Mar 30 2010 Thierry Vignaud <tv@mandriva.org> 031-5mdv2010.1
+ Revision: 530064
- remove Requires on system-config-keyboard

* Tue Mar 30 2010 Thierry Vignaud <tv@mandriva.org> 031-4mdv2010.1
+ Revision: 529955
- remove Requires on libselinux-python

* Mon Mar 29 2010 Thierry Vignaud <tv@mandriva.org> 031-3mdv2010.1
+ Revision: 528800
- fix build on x86_64 (fsck rh)
- new release (use blkid instead of vol_id)
- rename patch 0 as 100
- resync with RH

* Thu Feb 25 2010 Ahmad Samir <ahmadsamir@mandriva.org> 022-3mdv2010.1
+ Revision: 511255
- fix requires

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 022-2mdv2010.0
+ Revision: 439559
- rebuild

* Mon Mar 16 2009 Jérôme Soyer <saispo@mandriva.org> 022-1mdv2009.1
+ Revision: 355845
- New upstream release

* Thu Jan 22 2009 Jérôme Soyer <saispo@mandriva.org> 021-1mdv2009.1
+ Revision: 332459
- New upstream release

* Thu Jan 15 2009 Jérôme Soyer <saispo@mandriva.org> 019-1mdv2009.1
+ Revision: 329794
- import livecd-tools


